Last modified: 2013-11-11 14:16:23 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 55680 - Several i18n/l10n issues in OAuth
Several i18n/l10n issues in OAuth
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
OAuth (Other open bugs)
master
All All
: Unprioritized normal (vote)
: ---
Assigned To: Nobody - You can work on this!
: i18n
Depends on: 55710
Blocks: messages 55679
  Show dependency treegraph
 
Reported: 2013-10-13 19:35 UTC by Nemo
Modified: 2013-11-11 14:16 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Comment 1 MZMcBride 2013-10-14 21:10:35 UTC
I think this bug depends on bug 55710 (cleaning up the standard English user interface first). Once there's clearer default interface text, localization and internationalization should become much easier.
Comment 2 Gerrit Notification Bot 2013-11-08 21:02:40 UTC
Change 94425 had a related patch set uploaded by CSteipp:
Update i18n from TWN comments

https://gerrit.wikimedia.org/r/94425
Comment 3 Chris Steipp 2013-11-08 21:02:56 UTC
Copying in the actual requests to we can track these.

(In reply to comment #0)
> https://translatewiki.net/wiki/Thread:Support/About_MediaWiki:Mwoauth-grant-
> editmycssjs/en

Using JavaScript instead of JS is preferred here.


> https://translatewiki.net/wiki/Thread:Support/About_MediaWiki:
> Mwoauthconsumerregistration-list/en

My consumer list. Should be "Your consumer list"?


> https://translatewiki.net/wiki/Thread:Support/About_MediaWiki:
> Mwoauthconsumerregistration-propose/en

What does this do/mean? "Used as subtitle link text" doesn't tell me much.

> https://translatewiki.net/wiki/Thread:Support/About_MediaWiki:
> Mwoauthmanageconsumers-viewing/en

User "$1" is currently viewing this consumer
Could use explicit GENDER support for $1.
Comment 4 Chris Steipp 2013-11-08 21:04:46 UTC
(In reply to comment #3)
> Copying in the actual requests to we can track these.
> 
> (In reply to comment #0)
> > https://translatewiki.net/wiki/Thread:Support/About_MediaWiki:Mwoauth-grant-
> > editmycssjs/en
> 
> Using JavaScript instead of JS is preferred here.

Done

> 
> 
> > https://translatewiki.net/wiki/Thread:Support/About_MediaWiki:
> > Mwoauthconsumerregistration-list/en
> 
> My consumer list. Should be "Your consumer list"?

I don't think so.

> 
> 
> > https://translatewiki.net/wiki/Thread:Support/About_MediaWiki:
> > Mwoauthconsumerregistration-propose/en
> 
> What does this do/mean? "Used as subtitle link text" doesn't tell me much.

Done

> 
> > https://translatewiki.net/wiki/Thread:Support/About_MediaWiki:
> > Mwoauthmanageconsumers-viewing/en
> 
> User "$1" is currently viewing this consumer
> Could use explicit GENDER support for $1.

Siebrand, can you elaborate what you're looking for here? There is no variation in English, and we tell the translators that $1 is a username. Did you want something else?
Comment 5 Nemo 2013-11-08 21:09:31 UTC
(In reply to comment #4)
> > User "$1" is currently viewing this consumer
> > Could use explicit GENDER support for $1.
> 
> Siebrand, can you elaborate what you're looking for here? There is no
> variation
> in English, and we tell the translators that $1 is a username. Did you want
> something else?

[[mw:Localisation#…on user names via GENDER]]: «If it is likely that GENDER will be used in translations for languages with gender inflections, add it explicitly in the English language source message». Otherwise the translator can't know whether it works.
Comment 6 Gerrit Notification Bot 2013-11-09 00:51:59 UTC
Change 94458 had a related patch set uploaded by CSteipp:
Update Gender

https://gerrit.wikimedia.org/r/94458
Comment 7 Gerrit Notification Bot 2013-11-09 01:24:14 UTC
Change 94458 merged by jenkins-bot:
Update Gender

https://gerrit.wikimedia.org/r/94458
Comment 8 Gerrit Notification Bot 2013-11-11 14:16:23 UTC
Change 94425 merged by jenkins-bot:
Update i18n from TWN comments

https://gerrit.wikimedia.org/r/94425

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links